GEOS: geos::noding::BasicSegmentString Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::BasicSegmentString Class Reference

`#include <BasicSegmentString.h>`

Inheritance diagram for geos::noding::BasicSegmentString:

## Public Member Functions
| BasicSegmentString (geom::CoordinateSequence *newPts, const void *newContext)
| Construct a BasicSegmentString. More...
virtual unsigned int | size () const
| see dox in SegmentString.h
virtual const geom::Coordinate & | getCoordinate (unsigned int i) const
| see dox in SegmentString.h
virtual geom::CoordinateSequence * | getCoordinates () const
| see dox in SegmentString.h
virtual bool | isClosed () const
| see dox in SegmentString.h
virtual std::ostream & | print (std::ostream &os) const
| see dox in SegmentString.h
int | getSegmentOctant (unsigned int index) const
| Gets the octant of the segment starting at vertex index. More...
Public Member Functions inherited from geos::noding::SegmentString
| SegmentString (const void *newContext)
| Construct a SegmentString. More...
const void * | getData () const
void | setData (const void *data)

## Additional Inherited Members
Public Types inherited from geos::noding::SegmentString
typedef std::vector< const SegmentString * > | ConstVect
typedef std::vector< SegmentString * > | NonConstVect

## Detailed Description

Represents a list of contiguous line segments, and supports noding the segments. The line segments are represented by an array of Coordinates. Intended to optimize the noding of contiguous segments by reducing the number of allocated objects. SegmentStrings can carry a context object, which is useful for preserving topological or parentage information. All noded substrings are initialized with the same context object.

## Constructor & Destructor Documentation

geos::noding::BasicSegmentString::BasicSegmentString | ( | geom::CoordinateSequence * | newPts,
|  | const void * | newContext
| ) |  |
| inline

Construct a BasicSegmentString.

Parameters

  newPts | CoordinateSequence representing the string, externally owned
  newContext | the context associated to this SegmentString

## Member Function Documentation

int geos::noding::BasicSegmentString::getSegmentOctant | ( | unsigned int | index | ) | const

Gets the octant of the segment starting at vertex index.

Parameters

  index | the index of the vertex starting the segment. Must not be the last index in the vertex list

Returns
  the octant of the segment at the vertex

The documentation for this class was generated from the following file:

- BasicSegmentString.h